
/****** Object:  View [dbo].[vRifornimentiArretrati]    Script Date: 07/07/2016 13:48:31 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vRifornimentiArretrati]'))
DROP VIEW [dbo].[vRifornimentiArretrati]
GO



/****** Object:  View [dbo].[vRifornimentiArretrati]    Script Date: 07/07/2016 13:48:31 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vRifornimentiArretrati]
AS
SELECT     dbo.Soggetti.CodiceFIEG, dbo.Uscite.IDProdotto, dbo.Rifornimenti.IDRifornimento, dbo.Rifornimenti.IDDocumento, dbo.Rifornimenti.IDDocumentoRiga, 
                      dbo.Rifornimenti.IDDL, dbo.Rifornimenti.TipoRichiesta, dbo.Rifornimenti.FlagRifAr, dbo.Rifornimenti.NumeroSollecito, dbo.Rifornimenti.FornitoTotale, 
                      dbo.Rifornimenti.ResaEsuberanzaExtra, dbo.Rifornimenti.GiacenzaAttuale, dbo.Rifornimenti.CopieRichieste, dbo.Rifornimenti.Nota, 
                      dbo.Rifornimenti.IDUtente, dbo.Rifornimenti.DataRichiesta, dbo.Rifornimenti.ArretratiRichiestiA, dbo.Rifornimenti.InfoRivDataInvio, 
                      dbo.Rifornimenti.IDUscita, dbo.Rifornimenti.IDPrenotazione, dbo.Rifornimenti.IDRichiesta, dbo.Rifornimenti.TipoMovimento, 
                      dbo.Rifornimenti.DataRipetizioneRichiesta, dbo.Rifornimenti.CausaleMancataEvasione, dbo.Rifornimenti.Note, dbo.Rifornimenti.Copie, 
                      dbo.Rifornimenti.DataRisposta, dbo.Rifornimenti.CodEdiScambio, dbo.Rifornimenti.ConfermaRicezione, dbo.Rifornimenti.DataConfRicezione, 
                      dbo.Rifornimenti.DataScadenzaRif, dbo.Rifornimenti.CausaleRif
FROM         dbo.Soggetti RIGHT OUTER JOIN
                      dbo.Uscite RIGHT OUTER JOIN
                      dbo.Rifornimenti LEFT OUTER JOIN
                      dbo.TipiRichiesta ON dbo.Rifornimenti.TipoRichiesta = dbo.TipiRichiesta.IDTipoRichiesta ON dbo.Uscite.IDUscita = dbo.Rifornimenti.IDUscita ON 
                      dbo.Soggetti.IDSoggetto = dbo.Rifornimenti.IDDL

GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[41] 4[36] 2[4] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "Soggetti"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 121
               Right = 216
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Uscite"
            Begin Extent = 
               Top = 126
               Left = 38
               Bottom = 241
               Right = 276
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Rifornimenti"
            Begin Extent = 
               Top = 6
               Left = 254
               Bottom = 121
               Right = 457
            End
            DisplayFlags = 280
            TopColumn = 26
         End
         Begin Table = "TipiRichiesta"
            Begin Extent = 
               Top = 246
               Left = 38
               Bottom = 331
               Right = 213
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vRifornimentiArretrati'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vRifornimentiArretrati'
GO